model-viewer {
  margin-top: 5px;
  height: 98vh;
  width: 100%;
}

model-viewer {
  --progress-bar-color: transparent;
}
.mudiModel {
  background: transparent; /* This ensures that there's no background */
}

model-viewer > .view-environment,
model-viewer > .custom-select-capture,
model-viewer > .view-model,
model-viewer > .controls {
  box-sizing: border-box;
  cursor: pointer;
  display: block;
  font-size: 1rem;
  left: 750px;
  position: absolute;
  text-align: center;
  padding: 0.5rem 0.5rem;
  border: none;
  outline: none;
  width: 195px;
  border-radius: 10px;
}

model-viewer > .view-environment {
  bottom: 162px;
}

model-viewer > .view-model {
  bottom: 108px;
}

model-viewer > .btn-update-view{
  background: linear-gradient(92.18deg, #541cb8 9.43%, #820ad1 40.67%);
}

model-viewer > .custom-select-capture {
  bottom: 54px;
  border: 0;
}

model-viewer > .controls {
  bottom: 0px;
  pointer-events: auto;
  z-index: 100;
}

/*
.controls label {
  margin-left: 43px;
}

.controls input {
    margin-left: 39px;
}

input[type="checkbox" i] {
  appearance: auto;
  margin-left: 39px;
  padding: initial;
}
*/

/* Estilos para las opciones del select menu */
model-viewer > .view-environment option,
model-viewer > .view-model option {
  background-color: #541cb8;
  color: #FFF;
  font-weight: bold;
}

/* Estilo para la opción seleccionada */
model-viewer > .view-environment option:checked,
model-viewer > .view-model option:checked {
  background-color: #820ad1;
  color: #FFF;
}